<!DOCTYPE html>
<html>
 <head>
  <meta charset="ISO-8859-1">
  <title>Veranstaltungskalender - Editor</title>

  <style>
  body, textarea {
   font-family: Verdana, Sans-Serif;
   font-size: 15px;
   margin: 5px;
  }

  label {
   cursor: pointer;
  }

  pre {
   background-color: Whitesmoke;
   padding: 5px;
  }
  </style>

<?php
/* Veranstaltungskalender
* Veranstaltung eintragen/ndern durch Eingabe des Datums -> Text -> Admin.Name, Passwort -> [OK]
* Veranstaltung lschen durch Eingabe des Datums -> Eintrag lschen-> Admin.Name, Passwort -> [OK]
* Veranstaltungen werden aufsteigend nach Datum angezeigt (aktuelle Veranstaltungen zuerst).
* Abgelaufene Veranstaltungen werden automatisch gelscht (Optional).
Webbausteine.de */

include "einstellungen.php";

$tag = date("d");
$monat = date("m");
$jahr = date("Y");
$text = "";
$dateiendung = ".txt";

if (isset($_GET["datum"])) {
 if (file_exists($events . $_GET["datum"] . $dateiendung)) {
  $text = file_get_contents($events . $_GET["datum"] . $dateiendung);
  sscanf($_GET["datum"], "%4s%2s%2s", $jahr, $monat, $tag);
 }
}
?>

 </head>
<body>

<h3>Veranstaltungskalender - Editor</h3>

<fieldset style="background: Whitesmoke;">
 <legend>Veranstaltung eintragen, ndern oder lschen</legend>
<form action="" method="post">
 <label>Tag: <input type="text" name="tag" value="<?php echo $tag; ?>" size="2" maxlength="2" min="1" max="31" pattern="[0-9]{2}" required="required"></label> &nbsp;
 <label>Monat: <input type="text" name="monat" value="<?php echo $monat; ?>" size="2" maxlength="2" min="1" max="12" pattern="[0-9]{2}" required="required"></label> &nbsp;
 <label>Jahr: <input type="text" name="jahr" value="<?php echo $jahr; ?>" size="4" maxlength="4" min="2000" max="2025" pattern="[0-9]{4}" required="required"></label> <small>(TT MM JJJJ)</small><br><br>
 <textarea name="text" rows="10" cols="50" required="required"><?php echo $text; ?></textarea> <br><br>
 <label>Admin.Name: <input type="text" name="name" size="22" required="required"></label> &nbsp; 
 <label>Passwort: <input type="password" name="passwort" size="15" required="required"></label><br><br>
 <label><input type="checkbox" name="loeschen"> Eintrag lschen</label> &nbsp; 
 <input type="submit" value="OK">
</form>
</fieldset>



<?php
// Veranstaltungen Eintragen/ndern/Lschen
if ($_SERVER['REQUEST_METHOD'] == "POST") {
 if ($_POST["name"] == $MITGLIED &&
     $MITGLIED_PASS[$MITGLIED] == $_POST["passwort"]) {
  if (checkdate($_POST["monat"], $_POST["tag"], $_POST["jahr"])) {
   if (isset($_POST["loeschen"]) && file_exists($events . $_POST["jahr"] . $_POST["monat"] . $_POST["tag"] . $dateiendung)) {
    if (unlink($events . $_POST["jahr"] . $_POST["monat"] . $_POST["tag"] . $dateiendung)) {
     echo '<p><span style="color: #3DCE00; font-weight: bold;">&#10004;</span> Der Eintrag wurde gelscht.</p>';
     if (file_exists($anmeldungen . $_POST["jahr"] . $_POST["monat"] . $_POST["tag"] . $dateiendung)) {
      unlink($anmeldungen . $_POST["jahr"] . $_POST["monat"] . $_POST["tag"] . $dateiendung);
     }
    }
   }
   else if (file_put_contents($events . $_POST["jahr"] . $_POST["monat"] . $_POST["tag"] . $dateiendung, $_POST["text"])) {
    echo '<p><span style="color: #3DCE00; font-weight: bold;">&#10004;</span>Der Eintrag wurde gespeichert.</p>';
   }
  }
  else {
   echo '<p><span style="color: #FF0000; font-weight: bold;">&#10008;</span> Kein gltiges Datum!</p>';
  }
 }
 else {
  echo '<p><span style="color: #FF0000; font-weight: bold;">&#10008;</span> Das Paswort ist leider falsch!</p>';
 }
}

// Veranstaltungen Anzeigen/Lschen
foreach (array_slice(scanDir($events), 2) as $datei) {
 if (substr($datei, -4) == ".txt") {
  $datum = substr($datei, 0, 8);
  sscanf($datum, "%4s%2s%2s", $jahr, $monat, $tag);
  if ($datum >= date("Ymd")) {
   if (file_exists($events . $datei)) {
    echo '<h4>' . '<label title="Veranstaltung ndern oder lschen"><input type="checkbox" name="a" onClick="location.href=\'?datum=' . $datum . '\'"> ' .
     mb_convert_encoding(strftime("%A, %d %B %Y", mktime(0, 0, 0, $monat, $tag, $jahr)), "ISO-8859-1") .
     '</label></h4><p>' . nl2br(file_get_contents($events . $datei)) . '<br>';
    if (file_exists($anmeldungen . $datei) && $VERANSTALTUNG_LINK == "ja") {
     $anzahl = count(file($anmeldungen . $datei));
     echo 'Anmeldungen: ' . $anzahl . ' &raquo; <a href="?liste=' . $anmeldungen . $datei . '#anker">Anzeigen</a></p>';
    }
    else if ($VERANSTALTUNG_LINK == "ja") {
     echo 'Noch keine Anmeldungen!</p>';
    }
   }
  }
  else if ($AUTODELETE == "ja") {
   // Veranstaltung lschen
   unlink($events . $datei);
   // Anmeldungen lschen
   if (file_exists($anmeldungen . $datei)) {
    unlink($anmeldungen . $datei);
   }
  }
 }
}

if (isset($_GET["liste"])) {
 echo '<hr><a id="anker"></a><h4>Anmeldungen</h4>';
 echo '<pre>' . file_get_contents($_GET["liste"]) . '</pre>';
}
?>

</body>
</html>